{"openapi":"3.0.1","info":{"title":"Jobstrategy API","description":"Jobstrategy API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"https://js.sandbox-bancaire.bpcisoftware.fr","description":"Generated server url"}],"tags":[{"name":"Partner - Account Configs","description":"Partner-facing account configuration endpoints."},{"name":"Partner - Extraction Orchestration","description":"Partner-facing extraction job trigger endpoint."}],"paths":{"/api/bank-configs/{id}":{"get":{"tags":["bank-config-resource"],"operationId":"getBankConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankConfig"}}}}}},"put":{"tags":["bank-config-resource"],"operationId":"updateBankConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankConfig"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankConfig"}}}}}},"delete":{"tags":["bank-config-resource"],"operationId":"deleteBankConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["bank-config-resource"],"operationId":"partialUpdateBankConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankConfig"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/BankConfig"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankConfig"}}}}}}},"/api/account-configs/{id}":{"get":{"tags":["Partner - Account Configs"],"summary":"Get account config","description":"Returns one account config when the caller is authorized for the account owner.","operationId":"job_strategy_account_configs_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"404":{"description":"Account config not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"200":{"description":"Account config returned","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"401":{"description":"Authentication required","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"500":{"description":"Unexpected server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}}},"security":[{"bearerAuth":[]}]},"put":{"tags":["Partner - Account Configs"],"summary":"Update account config","description":"Replaces an existing account config when the caller is authorized for the owner account.","operationId":"job_strategy_account_configs_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConfig"},"examples":{"Update config":{"description":"Update config","value":{"id":77,"identityId":12345,"accountType":"API","notificationRenewConsentBeforeExpirationDays":10,"extractionDelayHours":24,"endUserIdentity":"John Doe"}}}}},"required":true},"responses":{"404":{"description":"Account config not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"400":{"description":"Invalid payload","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"401":{"description":"Authentication required","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"500":{"description":"Unexpected server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"200":{"description":"Account config updated","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["Partner - Account Configs"],"summary":"Delete account config","description":"Deletes an account config when the caller is authorized for the owner account.","operationId":"job_strategy_account_configs_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"404":{"description":"Account config not found"},"204":{"description":"Account config deleted"},"403":{"description":"Forbidden"},"401":{"description":"Authentication required"},"500":{"description":"Unexpected server error"}},"security":[{"bearerAuth":[]}]},"patch":{"tags":["Partner - Account Configs"],"summary":"Partially update account config","description":"Applies partial changes to an account config when the caller is authorized for the owner account.","operationId":"job_strategy_account_configs_partial_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConfig"},"examples":{"Patch config":{"description":"Patch config","value":{"id":77,"extractionDelayHours":36}}}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/AccountConfig"},"examples":{"Patch config":{"description":"Patch config","value":{"id":77,"extractionDelayHours":36}}}}},"required":true},"responses":{"404":{"description":"Account config not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"400":{"description":"Invalid payload","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"401":{"description":"Authentication required","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"500":{"description":"Unexpected server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"200":{"description":"Account config updated","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}}},"security":[{"bearerAuth":[]}]}},"/api/extraction-job-service":{"post":{"tags":["Partner - Extraction Orchestration"],"summary":"Trigger extraction job","description":"Creates and dispatches an extraction request for one account or an authorized batch launch.","operationId":"job_strategy_extraction_job_service_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtractionJobRequest"},"examples":{"Single account launch":{"description":"Single account launch","value":{"accountId":12345,"accountType":"API","fullscrap":false,"days":3,"refresh":true}}}}},"required":true},"responses":{"400":{"description":"Invalid job request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}},"201":{"description":"Extraction job accepted/created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}},"409":{"description":"Batch job already running or ambiguous LCL identity references","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}},"403":{"description":"Forbidden for current user","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}},"401":{"description":"Authentication required","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}},"500":{"description":"Unexpected server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}},"502":{"description":"LCL identity unavailable or unusable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}}},"security":[{"bearerAuth":[]}]}},"/api/bank-configs":{"get":{"tags":["bank-config-resource"],"operationId":"getAllBankConfigs","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/BankConfigCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankConfig"}}}}}}},"post":{"tags":["bank-config-resource"],"operationId":"createBankConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankConfig"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankConfig"}}}}}}},"/api/account-configs":{"get":{"tags":["Partner - Account Configs"],"summary":"List account configs","description":"Returns account configuration entries visible to the current caller.","operationId":"job_strategy_account_configs_list","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/AccountConfigCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountConfig"}}}}},"401":{"description":"Authentication required","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountConfig"}}}}},"500":{"description":"Unexpected server error","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountConfig"}}}}},"200":{"description":"Account configs returned","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountConfig"}}}}}},"security":[{"bearerAuth":[]}]},"post":{"tags":["Partner - Account Configs"],"summary":"Create account config","description":"Creates account-level extraction preferences for an account owned by the caller.","operationId":"job_strategy_account_configs_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConfig"},"examples":{"Create config":{"description":"Create config","value":{"identityId":12345,"accountType":"API","notificationRenewConsentBeforeExpirationDays":15,"extractionDelayHours":12,"endUserIdentity":"John Doe"}}}}},"required":true},"responses":{"201":{"description":"Account config created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"400":{"description":"Invalid payload","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"401":{"description":"Authentication required","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"500":{"description":"Unexpected server error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}},"409":{"description":"Conflict with existing account config","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountConfig"}}}}},"security":[{"bearerAuth":[]}]}},"/api/users":{"get":{"tags":["public-user-resource"],"operationId":"getAllPublicUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/bank-configs/count":{"get":{"tags":["bank-config-resource"],"operationId":"countBankConfigs","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/BankConfigCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/authorities":{"get":{"tags":["public-user-resource"],"operationId":"getAuthorities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/admin/users":{"get":{"tags":["user-resource"],"operationId":"getAllUsers","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AdminUserDTO"}}}}}}}},"/api/admin/users/{login}":{"get":{"tags":["user-resource"],"operationId":"getUser","parameters":[{"name":"login","in":"path","required":true,"schema":{"pattern":"^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AdminUserDTO"}}}}}}},"/api/account-configs/count":{"get":{"tags":["Partner - Account Configs"],"summary":"Count account configs","description":"Returns the number of account configs visible to the current caller.","operationId":"job_strategy_account_configs_count","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/AccountConfigCriteria"}}],"responses":{"200":{"description":"Count returned","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}},"401":{"description":"Authentication required","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}},"500":{"description":"Unexpected server error","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"bearerAuth":[]}]}}},"components":{"schemas":{"BankConfig":{"required":["accountType","bankId","launchCronExpression"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"bankId":{"type":"integer","description":"The IdentityProvider.AbstractBank.id concerned","format":"int64"},"accountType":{"type":"string","description":"The type of the bank","enum":["WEB","API"]},"backlogDays":{"type":"integer","description":"Days to retrieve back for this bank. By default, 3.","format":"int32"},"launchCronExpression":{"type":"string","description":"The cron expression to launch the bank jobs. If not specified, the job will be launched at the time of the defined cron expression (every 6 hours from midnight)"},"lastLaunchDate":{"type":"string","description":"The last time the bank job was launched by the cron job.","format":"date-time"},"priority":{"type":"integer","description":"The priority of the job.","format":"int32"},"fullscrapDays":{"type":"integer","description":"Maximum days allowed by the bank to retrieve (fullscrap not supported by some banks).\nIf it is not null, instead of fullscrap=true, the account will be launched with days=fullscrapDays.","format":"int32"},"forceFullscrap":{"type":"boolean","description":"Force fullscrap for this bank.\nIf true, the account will be launched with fullscrap=true and days will be ignored."},"throttle":{"type":"boolean","description":"BankConfig that request that the batch is launched with a mono chunk and a mono thread to allow a thread.\nThe batch will also apply a time sleep of 10 seconds between each account extraction (on the item reader)."},"pushDelaySeconds":{"type":"integer","description":"The delay in seconds to apply after the refresh token before pushing into Kafka. The push is executed in an other thread when the timeout is expired.\nUsed to avoid the case where the account is not yet ready to be processed (e.g. the bank account is not ready because account consents are not completed, like for 89c3)).","format":"int32"}},"description":"BankConfig entity\nConfig for job launching for each available bank\n\n@author Mohamed MAKTOUF BOUHLEL"},"AccountConfig":{"required":["accountType","endUserIdentity","identityId"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"identityId":{"type":"integer","description":"The IdentityProvider.AbstractAccount.id concerned","format":"int64"},"accountType":{"type":"string","description":"The type of the bank","enum":["WEB","API"]},"notificationRenewConsentBeforeExpirationDays":{"type":"integer","description":"Used only if IdentityProvider.AbstractAccount.sendNotification is true. Default 15, one notification per day","format":"int32"},"extractionDelayHours":{"maximum":62,"minimum":12,"type":"integer","description":"Allow the account's user to control the extraction interval between each extraction in hours. By default, 12.","format":"int32"},"endUserIdentity":{"maxLength":128,"minLength":0,"type":"string","description":"The name of the account owner"},"lastLaunchDate":{"type":"string","description":"The last time the account was launched by the cron job.","format":"date-time"}},"description":"AccountConfig entity\nConfig for job launching for each available bank account\n\n@author Mohamed MAKTOUF BOUHLEL"},"ExtractionJobRequest":{"type":"object","properties":{"accountId":{"type":"integer","format":"int64"},"accountIds":{"type":"array","items":{"type":"integer","format":"int64"}},"accountType":{"type":"string","enum":["WEB","API"]},"fullscrap":{"type":"boolean"},"days":{"type":"integer","format":"int32"},"bankIds":{"type":"array","items":{"type":"integer","format":"int64"}},"generalLaunch":{"type":"boolean"},"launchBlockedAccount":{"type":"boolean"},"launchIncompleteAccounts":{"type":"boolean"},"launchAccountsWithBankTechnicalError":{"type":"boolean"},"refresh":{"type":"boolean"},"bankType":{"type":"string","enum":["bnp","api89c3","cmcic","lcl","cdn","bred","lbp","sg","ca","boursorama","apiberlingroup","milleis","orange","neuflize","n26","arkea","bmm","shine","qonto","paypal","revolut"]},"waitForBatch":{"type":"boolean"}}},"AccountResume":{"required":["accountType","bankCode","cashAccountType","identityId","name","totalAccounts","userLogin"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"resourceId":{"type":"string"},"bicfi":{"type":"string"},"iban":{"type":"string"},"name":{"maxLength":255,"minLength":0,"type":"string"},"details":{"maxLength":255,"minLength":0,"type":"string"},"number":{"maxLength":16,"minLength":0,"type":"string"},"usage":{"type":"string","enum":["ORGA","PRIV"]},"accountType":{"type":"string","enum":["WEB","API"]},"cashAccountType":{"type":"string","enum":["CARD","CACC","CASH","CHAR","CISH","COMM","CPAC","LLSV","LOAN","MGLD","MOMA","NREX","ODFT","ONDP","OTHR","SACC","SLRY","SVGS","TAXE","TRAN","TRAS"]},"product":{"maxLength":255,"minLength":0,"type":"string"},"psuStatus":{"maxLength":255,"minLength":0,"type":"string"},"createdDate":{"type":"string","format":"date-time"},"identityId":{"type":"integer","format":"int64"},"bankId":{"type":"integer","format":"int64"},"bankCode":{"maxLength":20,"minLength":2,"type":"string"},"userLogin":{"type":"string"},"endUserIdentity":{"maxLength":128,"minLength":0,"type":"string"},"totalAccounts":{"type":"integer","format":"int32"},"linkedAccount":{"type":"string"},"lastExtractionDate":{"type":"string","format":"date-time"}}},"Balance":{"required":["amount","currency","name","referenceDate"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"currency":{"maxLength":3,"minLength":3,"type":"string"},"amount":{"type":"number"},"type":{"type":"string","enum":["CLBD","XPCD","VALU","OTHR","PRCD","ITAV"]},"lastChangeDate":{"type":"string","format":"date-time"},"referenceDate":{"type":"string","format":"date-time"},"lastCommittedTransaction":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"statement":{"$ref":"#/components/schemas/Statement"}}},"ExtractionError":{"required":["body","exception","hashedIdentifier","headers","traceback"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"exception":{"maxLength":128,"minLength":0,"type":"string"},"traceback":{"type":"string"},"body":{"type":"string"},"headers":{"type":"string"},"hashedIdentifier":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"extractionJob":{"$ref":"#/components/schemas/ExtractionJob"},"accountResume":{"$ref":"#/components/schemas/AccountResume"}}},"ExtractionJob":{"required":["accountType","bankCode","crawlid","identityId","userLogin"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"crawlid":{"maxLength":36,"minLength":36,"type":"string"},"accountType":{"type":"string","enum":["WEB","API"]},"identityId":{"type":"integer","format":"int64"},"bankId":{"type":"integer","format":"int64"},"bankCode":{"maxLength":20,"minLength":2,"type":"string"},"userLogin":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"waitForBatch":{"type":"boolean"},"statements":{"type":"array","items":{"$ref":"#/components/schemas/Statement"}},"extractionErrors":{"type":"array","items":{"$ref":"#/components/schemas/ExtractionError"}}}},"Statement":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"extractionJob":{"$ref":"#/components/schemas/ExtractionJob"},"account":{"$ref":"#/components/schemas/AccountResume"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/Transaction"}},"balances":{"type":"array","items":{"$ref":"#/components/schemas/Balance"}}}},"Transaction":{"required":["amount","currency","status"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"resourceId":{"type":"string"},"entryReference":{"type":"string"},"amount":{"type":"number"},"currency":{"maxLength":3,"minLength":3,"type":"string"},"status":{"type":"string","enum":["BOOK","PDNG","OTHR","FUTR"]},"label":{"type":"string"},"bookingDate":{"type":"string","format":"date-time"},"valueDate":{"type":"string","format":"date-time"},"transactionDate":{"type":"string","format":"date-time"},"createdDate":{"type":"string","format":"date-time"},"statement":{"$ref":"#/components/schemas/Statement"}}},"UserDTO":{"type":"object","properties":{"id":{"type":"string"},"login":{"type":"string"}}},"AccountTypeFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["WEB","API"]},"notEquals":{"type":"string","enum":["WEB","API"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["WEB","API"]}},"notIn":{"type":"array","items":{"type":"string","enum":["WEB","API"]}}}},"BankConfigCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"bankId":{"$ref":"#/components/schemas/LongFilter"},"accountType":{"$ref":"#/components/schemas/AccountTypeFilter"},"backlogDays":{"$ref":"#/components/schemas/IntegerFilter"},"launchCronExpression":{"$ref":"#/components/schemas/StringFilter"},"lastLaunchDate":{"$ref":"#/components/schemas/InstantFilter"},"priority":{"$ref":"#/components/schemas/IntegerFilter"},"fullscrapDays":{"$ref":"#/components/schemas/IntegerFilter"},"forceFullscrap":{"$ref":"#/components/schemas/BooleanFilter"},"throttle":{"$ref":"#/components/schemas/BooleanFilter"},"pushDelaySeconds":{"$ref":"#/components/schemas/IntegerFilter"}}},"BooleanFilter":{"type":"object","properties":{"equals":{"type":"boolean"},"notEquals":{"type":"boolean"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"boolean"}},"notIn":{"type":"array","items":{"type":"boolean"}}}},"InstantFilter":{"type":"object","properties":{"equals":{"type":"string","format":"date-time"},"notEquals":{"type":"string","format":"date-time"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","format":"date-time"}},"notIn":{"type":"array","items":{"type":"string","format":"date-time"}},"greaterThan":{"type":"string","format":"date-time"},"lessThan":{"type":"string","format":"date-time"},"greaterThanOrEqual":{"type":"string","format":"date-time"},"lessThanOrEqual":{"type":"string","format":"date-time"}}},"IntegerFilter":{"type":"object","properties":{"equals":{"type":"integer","format":"int32"},"notEquals":{"type":"integer","format":"int32"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"integer","format":"int32"}},"notIn":{"type":"array","items":{"type":"integer","format":"int32"}},"greaterThan":{"type":"integer","format":"int32"},"lessThan":{"type":"integer","format":"int32"},"greaterThanOrEqual":{"type":"integer","format":"int32"},"lessThanOrEqual":{"type":"integer","format":"int32"}}},"LongFilter":{"type":"object","properties":{"equals":{"type":"integer","format":"int64"},"notEquals":{"type":"integer","format":"int64"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"integer","format":"int64"}},"notIn":{"type":"array","items":{"type":"integer","format":"int64"}},"greaterThan":{"type":"integer","format":"int64"},"lessThan":{"type":"integer","format":"int64"},"greaterThanOrEqual":{"type":"integer","format":"int64"},"lessThanOrEqual":{"type":"integer","format":"int64"}}},"StringFilter":{"type":"object","properties":{"equals":{"type":"string"},"notEquals":{"type":"string"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string"}},"notIn":{"type":"array","items":{"type":"string"}},"contains":{"type":"string"},"doesNotContain":{"type":"string"}}},"Pageable":{"type":"object","properties":{"page":{"minimum":0,"type":"integer","format":"int32"},"size":{"minimum":1,"type":"integer","format":"int32"},"sort":{"type":"array","items":{"type":"string"}}}},"AdminUserDTO":{"required":["login"],"type":"object","properties":{"id":{"type":"string"},"login":{"maxLength":50,"minLength":1,"pattern":"^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$","type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":5,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":10,"minLength":2,"type":"string"},"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"authorities":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"AccountConfigCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"identityId":{"$ref":"#/components/schemas/LongFilter"},"accountType":{"$ref":"#/components/schemas/AccountTypeFilter"},"notificationRenewConsentBeforeExpirationDays":{"$ref":"#/components/schemas/IntegerFilter"},"extractionDelayHours":{"$ref":"#/components/schemas/IntegerFilter"},"endUserIdentity":{"$ref":"#/components/schemas/StringFilter"},"createdBy":{"$ref":"#/components/schemas/StringFilter"},"userLogin":{"$ref":"#/components/schemas/StringFilter"},"lastLaunchDate":{"$ref":"#/components/schemas/InstantFilter"}}}},"securitySchemes":{"bearerAuth":{"type":"http","in":"header","scheme":"bearer","bearerFormat":"JWT"}}}}